Subject: Re: bug#30461: 27.0.50; Incorrect description of sentinels

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2021 12:04:09 +0100

Eli Zaretskii <[email-masked]> writes:

>> That is, the sentinel isn't called when the process is stopped or
>> continued.
>
> I think the sentinel is in fact called when the process is continued:
> that's where that "run" came from, right?  You will see in
> process_send_signal that we explicitly call the sentinel when the
> signal is SIGCONT.

[...]

> The documentation describes the strings produced by status_message.
> You will see that there's an "else" catch-all clause there that
> produces the name of the status symbol it is passed as an argument, in
> case it doesn't recognize it.  I believe that's where "run" comes from
> (note that it has no final newline, unlike the documented event
> strings).

I've now added "run\n" to the list of example strings in the manual, and
also clarified that it's not an exhaustive list.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no